Error launching chatbot on docker compose

rasa-x_1           | [2022-01-24 19:15:16 +0000] - (sanic.access)[INFO][172.18.0.11:53078]: GET http://localhost/api/telemetry?include_user_groups=true  200 88
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:16 +0000] "GET /api/telemetry?include_user_groups=true HTTP/1.1" 200 88 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
rasa-x_1           | [2022-01-24 19:15:16 +0000] - (sanic.access)[INFO][172.18.0.11:53088]: GET http://localhost/api/git-repositories/1/status  200 242
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:16 +0000] "GET /api/git-repositories/1/status HTTP/1.1" 200 242 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:16 +0000] "GET /static/media/SaraChattingOnPhone.af401b9d.svg HTTP/1.1" 200 9359 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
rasa-x_1           | [2022-01-24 19:15:16 +0000] - (sanic.access)[INFO][172.18.0.11:53090]: GET http://localhost/static/media/SaraChattingOnPhone.af401b9d.svg  200 9359
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:17 +0000] "GET /api/version?skip_external=false HTTP/1.1" 200 630 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
rasa-x_1           | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][172.18.0.11:53060]: GET http://localhost/api/version?skip_external=false  200 630
rasa-x_1           | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][172.18.0.11:53070]: GET http://localhost/api/version?skip_external=false  200 630
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:17 +0000] "GET /api/version?skip_external=false HTTP/1.1" 200 630 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:17 +0000] "GET /api/version?skip_external=false HTTP/1.1" 200 630 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
rasa-x_1           | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][172.18.0.11:53062]: GET http://localhost/api/version?skip_external=false  200 630
rasa-x_1           | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][172.18.0.11:53094]: GET http://localhost/api/conversations/a607720db8b746b9aaf2c603438bf4dc?format=full_conversation&history=false&since=0&environment=production  200 324
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:17 +0000] "GET /api/conversations/a607720db8b746b9aaf2c603438bf4dc?format=full_conversation&history=false&since=0&environment=production HTTP/1.1" 200 324 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
rasa-x_1           | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][172.18.0.11:53098]: GET http://localhost/api/conversations/a607720db8b746b9aaf2c603438bf4dc?test_story=false&history=false  200 105
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:17 +0000] "GET /api/conversations/a607720db8b746b9aaf2c603438bf4dc?test_story=false&history=false HTTP/1.1" 200 105 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:17 +0000] "GET /api/conversations/a607720db8b746b9aaf2c603438bf4dc?test_story=false&history=false HTTP/1.1" 200 105 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
rasa-x_1           | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][172.18.0.11:53092]: GET http://localhost/api/conversations/a607720db8b746b9aaf2c603438bf4dc?test_story=false&history=false  200 105
rasa-x_1           | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][172.18.0.11:53100]: GET http://localhost/api/conversations/a607720db8b746b9aaf2c603438bf4dc?test_story=true&history=false  200 105
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:17 +0000] "GET /api/conversations/a607720db8b746b9aaf2c603438bf4dc?test_story=true&history=false HTTP/1.1" 200 105 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:17 +0000] "GET /api/conversations/a607720db8b746b9aaf2c603438bf4dc?test_story=true&history=false HTTP/1.1" 200 105 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
rasa-x_1           | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][172.18.0.11:53102]: GET http://localhost/api/conversations/a607720db8b746b9aaf2c603438bf4dc?test_story=true&history=false  200 105
db-migration_1     | [2022-01-24 19:15:17 +0000] - (sanic.access)[INFO][127.0.0.1:46936]: GET http://localhost:8000/health  200 56
nginx_1            | 172.18.0.1 - - [24/Jan/2022:19:15:20 +0000] "GET /api/conversations/a607720db8b746b9aaf2c603438bf4dc?format=full_conversation&history=false&since=0&environment=production HTTP/1.1" 200 324 "http://localhost/interactive" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:96.0) Gecko/20100101 Firefox/96.0"
rasa-x_1           | [2022-01-24 19:15:20 +0000] - (sanic.access)[INFO][172.18.0.11:53106]: GET http://localhost/api/conversations/a607720db8b746b9aaf2c603438bf4dc?format=full_conversation&history=false&since=0&environment=production  200 324
rasa-production_1  | Starting Rasa X in production mode... 🚀
rasa-production_1  | [2022-01-24 19:15:22 +0000] [1] [ERROR] Exception occurred while handling uri: 'http://rasa-production:5005/webhooks/rasa/webhook'
rasa-production_1  | Traceback (most recent call last):
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 969, in _wrap_create_connection
rasa-production_1  |     return await self._loop.create_connection(*args, **kwargs)  # type: ignore  # noqa
rasa-production_1  |   File "uvloop/loop.pyx", line 1974, in create_connection
rasa-production_1  |   File "uvloop/loop.pyx", line 1951, in uvloop.loop.Loop.create_connection
rasa-production_1  | ConnectionRefusedError: [Errno 111] Connection refused
rasa-production_1  | 
rasa-production_1  | The above exception was the direct cause of the following exception:
rasa-production_1  | 
rasa-production_1  | Traceback (most recent call last):
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/sanic/app.py", line 973, in handle_request
rasa-production_1  |     response = await response
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/rasa/core/channels/rest.py", line 101, in receive
rasa-production_1  |     sender_id = await self._extract_sender(request)
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/rasa/core/channels/rasa_chat.py", line 94, in _extract_sender
rasa-production_1  |     jwt_payload = await self._decode_bearer_token(req.headers["Authorization"])
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/rasa/core/channels/rasa_chat.py", line 77, in _decode_bearer_token
rasa-production_1  |     await self._fetch_public_key()
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/rasa/core/channels/rasa_chat.py", line 46, in _fetch_public_key
rasa-production_1  |     async with session.get(
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/client.py", line 1117, in __aenter__
rasa-production_1  |     self._resp = await self._coro
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/client.py", line 520, in _request
rasa-production_1  |     conn = await self._connector.connect(
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 535, in connect
rasa-production_1  |     proto = await self._create_connection(req, traces, timeout)
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 892, in _create_connection
rasa-production_1  |     _, proto = await self._create_direct_connection(req, traces, timeout)
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 1051, in _create_direct_connection
rasa-production_1  |     raise last_exc
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 1020, in _create_direct_connection
rasa-production_1  |     transp, proto = await self._wrap_create_connection(
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 975, in _wrap_create_connection
rasa-production_1  |     raise client_error(req.connection_key, exc) from exc
rasa-production_1  | aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host localhost:5002 ssl:default [Connection refused]
rasa-x_1           | ERROR:rasax.community.api.blueprints.stack:Failed to send message to Rasa Chat webhook. Error: 500, message='Internal Server Error', url=URL('http://rasa-production:5005/webhooks/rasa/webhook')
rasa-x_1           | [2022-01-24 19:15:22 +0000] - (sanic.access)[INFO][172.18.0.11:53108]: POST http://localhost/api/conversations/a607720db8b746b9aaf2c603438bf4dc/messages?environment=production  404 176

installed on docker-compose and getting this after a restart. using sudo docker-compose up to launch

worker 2.8.15
rasa-x 1.0.1

@dima Are you only running docker or do you have some front-end?

@dima please type docker ps and show me the complete screenshot

@nik202 I am using the instructions from Docker Compose Installation to launch Rasa this machine has no other frontend installed

here is docker ps

@dima everything is running up and healthy

@dima then how it’s showing error :frowning:

@dima ok run the run this command

sudo docker-compose down && docker-compose up

and share me the output.

Here is output from running that

[email protected]:/etc/rasa$ sudo docker-compose down && docker-compose up
[sudo] password for d: 
WARNING: The ROOT_URL variable is not set. Defaulting to a blank string.
WARNING: The API_ROOT_URL variable is not set. Defaulting to a blank string.
Stopping rasa_nginx_1           ... done
Stopping rasa_app_1             ... done
Stopping rasa_rasa-production_1 ... done
Stopping rasa_rasa-worker_1     ... done
Stopping rasa_db-migration_1    ... done
Stopping rasa_rasa-x_1          ... done
Stopping rasa_rabbit_1          ... done
Stopping rasa_duckling_1        ... done
Stopping rasa_redis_1           ... done
Stopping rasa_db_1              ... done
Removing rasa_nginx_1           ... done
Removing rasa_app_1             ... done
Removing rasa_rasa-production_1 ... done
Removing rasa_rasa-worker_1     ... done
Removing rasa_db-migration_1    ... done
Removing rasa_rasa-x_1          ... done
Removing rasa_rabbit_1          ... done
Removing rasa_duckling_1        ... done
Removing rasa_redis_1           ... done
Removing rasa_db_1              ... done
Removing network rasa_default
WARNING: The ROOT_URL variable is not set. Defaulting to a blank string.
WARNING: The API_ROOT_URL variable is not set. Defaulting to a blank string.
ERROR: Couldn't connect to Docker daemon at http+docker://localhost - is it running?

If it's at a non-standard location, specify the URL with the DOCKER_HOST environment variable.
[email protected]:/etc/rasa$ 

If I add sudo to docker-compose up it says

[email protected]:/etc/rasa$ sudo docker-compose down && sudo docker-compose up
WARNING: The ROOT_URL variable is not set. Defaulting to a blank string.
WARNING: The API_ROOT_URL variable is not set. Defaulting to a blank string.
Removing network rasa_default
WARNING: Network rasa_default not found.
WARNING: The ROOT_URL variable is not set. Defaulting to a blank string.
WARNING: The API_ROOT_URL variable is not set. Defaulting to a blank string.
Creating network "rasa_default" with the default driver
Creating rasa_rabbit_1   ... done
Creating rasa_redis_1    ... done
Creating rasa_duckling_1 ... done
Creating rasa_db_1       ... done
Creating rasa_rasa-x_1       ... done
Creating rasa_db-migration_1    ... done
Creating rasa_rasa-worker_1     ... done
Creating rasa_rasa-production_1 ... done
Creating rasa_app_1             ... done
Creating rasa_nginx_1           ... done
Attaching to rasa_redis_1, rasa_duckling_1, rasa_rabbit_1, rasa_db_1, rasa_rasa-x_1, rasa_db-migration_1, rasa_rasa-production_1, rasa_rasa-worker_1, rasa_app_1, rasa_nginx_1
db_1               | postgresql 01:17:56.04 
db_1               | postgresql 01:17:56.05 Welcome to the Bitnami postgresql container
db_1               | postgresql 01:17:56.05 Subscribe to project updates by watching https://github.com/bitnami/bitnami-docker-postgresql
db_1               | postgresql 01:17:56.06 Submit issues and feature requests at https://github.com/bitnami/bitnami-docker-postgresql/issues
db_1               | postgresql 01:17:56.06 
db_1               | postgresql 01:17:56.10 INFO  ==> ** Starting PostgreSQL setup **
db_1               | postgresql 01:17:56.14 INFO  ==> Validating settings in POSTGRESQL_* env vars..
db_1               | postgresql 01:17:56.15 INFO  ==> Loading custom pre-init scripts...
db_1               | postgresql 01:17:56.16 INFO  ==> Initializing PostgreSQL database...
db_1               | postgresql 01:17:56.18 INFO  ==> pg_hba.conf file not detected. Generating it...
db_1               | postgresql 01:17:56.18 INFO  ==> Generating local authentication configuration
db_1               | postgresql 01:17:56.19 INFO  ==> Deploying PostgreSQL with persisted data...
db_1               | postgresql 01:17:56.25 INFO  ==> Configuring replication parameters
db_1               | postgresql 01:17:56.31 INFO  ==> Configuring fsync
db_1               | postgresql 01:17:56.34 INFO  ==> Loading custom scripts...
db_1               | postgresql 01:17:56.34 INFO  ==> Enabling remote connections
db_1               | 
db_1               | postgresql 01:17:56.35 INFO  ==> ** PostgreSQL setup finished! **
db_1               | postgresql 01:17:56.38 INFO  ==> ** Starting PostgreSQL **
db_1               | 2022-01-25 01:17:56.447 GMT [1] LOG:  pgaudit extension initialized
db_1               | 2022-01-25 01:17:56.449 GMT [1] LOG:  listening on IPv4 address "0.0.0.0", port 5432
db_1               | 2022-01-25 01:17:56.449 GMT [1] LOG:  listening on IPv6 address "::", port 5432
db_1               | 2022-01-25 01:17:56.457 GMT [1] LOG:  listening on Unix socket "/tmp/.s.PGSQL.5432"
db_1               | 2022-01-25 01:17:56.486 GMT [83] LOG:  database system was shut down at 2022-01-25 01:17:03 GMT
db_1               | 2022-01-25 01:17:56.507 GMT [1] LOG:  database system is ready to accept connections
duckling_1         | no port specified, defaulting to port 8000
duckling_1         | Listening on http://0.0.0.0:8000
rabbit_1           | rabbitmq 01:17:55.99 
rabbit_1           | rabbitmq 01:17:56.00 Welcome to the Bitnami rabbitmq container
rabbit_1           | rabbitmq 01:17:56.00 Subscribe to project updates by watching https://github.com/bitnami/bitnami-docker-rabbitmq
rabbit_1           | rabbitmq 01:17:56.00 Submit issues and feature requests at https://github.com/bitnami/bitnami-docker-rabbitmq/issues
rabbit_1           | rabbitmq 01:17:56.00 
rabbit_1           | rabbitmq 01:17:56.01 INFO  ==> ** Starting RabbitMQ setup **
rabbit_1           | rabbitmq 01:17:56.05 INFO  ==> Validating settings in RABBITMQ_* env vars..
rabbit_1           | rabbitmq 01:17:56.09 INFO  ==> Initializing RabbitMQ...
rabbit_1           | rabbitmq 01:17:56.12 INFO  ==> Generating random cookie
rabbit_1           | rabbitmq 01:17:56.16 INFO  ==> Starting RabbitMQ in background...
redis_1            | redis 01:17:55.85 
redis_1            | redis 01:17:55.85 Welcome to the Bitnami redis container
redis_1            | redis 01:17:55.86 Subscribe to project updates by watching https://github.com/bitnami/bitnami-docker-redis
redis_1            | redis 01:17:55.86 Submit issues and feature requests at https://github.com/bitnami/bitnami-docker-redis/issues
redis_1            | redis 01:17:55.87 
redis_1            | redis 01:17:55.87 INFO  ==> ** Starting Redis setup **
redis_1            | redis 01:17:55.88 INFO  ==> Initializing Redis
redis_1            | redis 01:17:55.90 INFO  ==> Setting Redis config file
redis_1            | redis 01:17:55.91 INFO  ==> ** Redis setup finished! **
redis_1            | 
redis_1            | redis 01:17:55.93 INFO  ==> ** Starting Redis **
redis_1            | 1:C 25 Jan 2022 01:17:55.964 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
redis_1            | 1:C 25 Jan 2022 01:17:55.964 # Redis version=6.2.6, bits=64, commit=00000000, modified=0, pid=1, just started
redis_1            | 1:C 25 Jan 2022 01:17:55.964 # Configuration loaded
redis_1            | 1:M 25 Jan 2022 01:17:55.964 * monotonic clock: POSIX clock_gettime
redis_1            | 1:M 25 Jan 2022 01:17:55.965 * Running mode=standalone, port=6379.
redis_1            | 1:M 25 Jan 2022 01:17:55.965 # Server initialized
redis_1            | 1:M 25 Jan 2022 01:17:55.965 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
redis_1            | 1:M 25 Jan 2022 01:17:55.965 * Ready to accept connections
nginx_1            | /docker-entrypoint.sh: /docker-entrypoint.d/ is not empty, will attempt to perform configuration
nginx_1            | /docker-entrypoint.sh: Looking for shell scripts in /docker-entrypoint.d/
nginx_1            | /docker-entrypoint.sh: Launching /docker-entrypoint.d/10-listen-on-ipv6-by-default.sh
nginx_1            | 10-listen-on-ipv6-by-default.sh: info: Getting the checksum of /etc/nginx/conf.d/default.conf
nginx_1            | 10-listen-on-ipv6-by-default.sh: info: Enabled listen on IPv6 in /etc/nginx/conf.d/default.conf
nginx_1            | /docker-entrypoint.sh: Launching /docker-entrypoint.d/20-envsubst-on-templates.sh
nginx_1            | 20-envsubst-on-templates.sh: Running envsubst on /etc/nginx/templates/rasax.nginx.template to /etc/nginx/conf.d/rasax.nginx
nginx_1            | 20-envsubst-on-templates.sh: Running envsubst on /etc/nginx/templates/ssl.conf.template to /etc/nginx/conf.d/ssl.conf
nginx_1            | /docker-entrypoint.sh: Launching /docker-entrypoint.d/30-tune-worker-processes.sh
nginx_1            | /docker-entrypoint.sh: Configuration complete; ready for start up
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: using the "epoll" event method
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: nginx/1.20.2
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: built by gcc 10.2.1 20210110 (Debian 10.2.1-6) 
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: OS: Linux 5.13.0-27-generic
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: getrlimit(RLIMIT_NOFILE): 1048576:1048576
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: start worker processes
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: start worker process 38
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: start worker process 39
nginx_1            | 2022/01/25 01:17:58 [notice] 1#1: start worker process 40
app_1              | INFO:rasa_sdk.endpoint:Starting action endpoint server...
app_1              | DEBUG:sanic.root:CORS: Configuring CORS with resources: {'/*': {'origins': ['.*'], 'methods': 'DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT', 'allow_headers': ['.*'], 'expose_headers': None, 'supports_credentials': False, 'max_age': None, 'send_wildcard': False, 'automatic_options': True, 'vary_header': True, 'resources': {'/*': {'origins': '*'}}, 'intercept_exceptions': True, 'always_send': True}}
app_1              | INFO:rasa_sdk.endpoint:Action endpoint is up and running on http://0.0.0.0:5055
app_1              | DEBUG:rasa_sdk.utils:Using the default number of Sanic workers (1).
app_1              | DEBUG:sanic.root:
app_1              | 
app_1              |                  Sanic
app_1              |          Build Fast. Run Fast.
app_1              | 
app_1              | 
app_1              | INFO:sanic.root:Goin' Fast @ http://0.0.0.0:5055
...

@dima and you are not able to login into rasa x?

@dima are you in root ??

I am able to log in and train a model. However when I send a message to bot “hey” I don’t get a response and I see

rasa-production_1  | Traceback (most recent call last):
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 969, in _wrap_create_connection
rasa-production_1  |     return await self._loop.create_connection(*args, **kwargs)  # type: ignore  # noqa
rasa-production_1  |   File "uvloop/loop.pyx", line 1974, in create_connection
rasa-production_1  |   File "uvloop/loop.pyx", line 1951, in uvloop.loop.Loop.create_connection
rasa-production_1  | ConnectionRefusedError: [Errno 111] Connection refused
rasa-production_1  | 
rasa-production_1  | The above exception was the direct cause of the following exception:
rasa-production_1  | 
rasa-production_1  | Traceback (most recent call last):
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/sanic/app.py", line 973, in handle_request
rasa-production_1  |     response = await response
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/rasa/core/channels/rest.py", line 101, in receive
rasa-production_1  |     sender_id = await self._extract_sender(request)
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/rasa/core/channels/rasa_chat.py", line 94, in _extract_sender
rasa-production_1  |     jwt_payload = await self._decode_bearer_token(req.headers["Authorization"])
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/rasa/core/channels/rasa_chat.py", line 77, in _decode_bearer_token
rasa-production_1  |     await self._fetch_public_key()
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/rasa/core/channels/rasa_chat.py", line 46, in _fetch_public_key
rasa-production_1  |     async with session.get(
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/client.py", line 1117, in __aenter__
rasa-production_1  |     self._resp = await self._coro
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/client.py", line 520, in _request
rasa-production_1  |     conn = await self._connector.connect(
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 535, in connect
rasa-production_1  |     proto = await self._create_connection(req, traces, timeout)
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 892, in _create_connection
rasa-production_1  |     _, proto = await self._create_direct_connection(req, traces, timeout)
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 1051, in _create_direct_connection
rasa-production_1  |     raise last_exc
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 1020, in _create_direct_connection
rasa-production_1  |     transp, proto = await self._wrap_create_connection(
rasa-production_1  |   File "/opt/venv/lib/python3.8/site-packages/aiohttp/connector.py", line 975, in _wrap_create_connection
rasa-production_1  |     raise client_error(req.connection_key, exc) from exc
rasa-production_1  | aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host localhost:5002 ssl:default [Connection refused]
rasa-x_1           | ERROR:rasax.community.api.blueprints.stack:Failed to send message to Rasa Chat webhook. Error: 500, message='Internal Server Error', url=URL('http://rasa-production:5005/webhooks/rasa/webhook')

in the logs Can you advise me on how I may fix the issue? Thank you very much!

I have ensured that I have at least 2 intents. This base scenario was working until I restarted my machine :frowning:

@dima where you typing your message “Hey”?

in the “talk to your bot (interactive learning)” pane of the Rasa X interface

@dima on Rasa X GUI, you will see “Talk to your bot” there you type Hey and see you getting a response or not? and share with me a screenshot of what are you getting?

No response, but I see the error added to the logs when I press enter

sure do you have discord?

sure let’s do a quick call what is preferred method?

Thank you so much :sweat_smile:

@dima Dima, I’d recommend downgrading the Rasa X version from 1. X to Rasa X 0.42.5 Hope this will solve your issue. Good Luck!

1 Like

@nik202 thank you for the help this resolved the issue for me

Hi i have done setup of rasax in docker compose and it is working fine now i wanted to integrate chat bot in my website could you guide me for that @dima @nik202 TIA

Hi, @surendra10125 can you tell me which rasa X version you have installed on its server or local machine? Your website is developed on which platform such as Wix, WordPress, etc?